# Yahoo! UI Library

### Charts Widget 2.5.0

Yahoo! UI Library > charts > YAHOO.widget.CartesianChart

Show Private Show Protected

## Class YAHOO.widget.CartesianChart - uses YAHOO.widget.Charts

CartesianChart class for the YUI Charts widget.

### Constructor

YAHOO.widget.CartesianChart `( type , containerId , dataSource , attributes )`

Parameters:
  `type <String>` The char type. May be "line", "column", or "bar"
  `containerId <HTMLElement>` Container element for the Flash Player instance.
  `dataSource <YAHOO.util.DataSource>` DataSource instance.
  `attributes <object>` (optional) Object literal of configuration values.

### Methods

#### _getXField

`private void _getXField ( )`
Getter for the xField attribute.

Returns: `void`

#### _getYField

`private void _getYField ( )`
Getter for the yField attribute.

Returns: `void`

#### _initAttributes

`private void _initAttributes ( )`
Initializes the attributes.

Returns: `void`

#### _setXAxis

`private void _setXAxis ( )`
Setter for the xAxis attribute.

Returns: `void`

#### _setXField

`private void _setXField ( )`
Setter for the xField attribute.

Returns: `void`

#### _setYAxis

`private void _setYAxis ( )`
Getter for the yAxis attribute.

Returns: `void`

#### _setYField

`private void _setYField ( )`
Setter for the yField attribute.

Returns: `void`

### Events

#### beforeXaxisChange

`beforeXaxisChange ( eventInfo )`
Fires before the value for the configuration attribute 'xAxis' changes. Return false to cancel the attribute change.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the current attribute value and the new value.

#### beforeXfieldChange

`beforeXfieldChange ( eventInfo )`
Fires before the value for the configuration attribute 'xField' changes. Return false to cancel the attribute change.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the current attribute value and the new value.

#### beforeYaxisChange

`beforeYaxisChange ( eventInfo )`
Fires before the value for the configuration attribute 'yAxis' changes. Return false to cancel the attribute change.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the current attribute value and the new value.

#### beforeYfieldChange

`beforeYfieldChange ( eventInfo )`
Fires before the value for the configuration attribute 'yField' changes. Return false to cancel the attribute change.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the current attribute value and the new value.

#### xAxisChange

`xAxisChange ( eventInfo )`
Fires when the value for the configuration attribute 'xAxis' changes.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### xFieldChange

`xFieldChange ( eventInfo )`
Fires when the value for the configuration attribute 'xField' changes.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### yAxisChange

`yAxisChange ( eventInfo )`
Fires when the value for the configuration attribute 'yAxis' changes.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

#### yFieldChange

`yFieldChange ( eventInfo )`
Fires when the value for the configuration attribute 'yField' changes.

Parameters:
  `eventInfo <{oldValue: any, newValue: any}>` An object containing the previous attribute value and the new value.

### Configuration Attributes

#### xAxis `- Axis`

A custom configuration for the horizontal x axis.

#### xField `- String`

The field in each item that corresponds to a value on the x axis.

#### yAxis `- Axis`

A custom configuration for the vertical y axis.

#### yField `- String`

The field in each item that corresponds to a value on the x axis.

Copyright © 2007 Yahoo! Inc. All rights reserved.